package cn.reghao.tnb.sb.db.autobatis.table;

import java.util.List;

/**
 * @author reghao
 * @date 2020-04-02 22:29:08
 */
public class Table {
    private String name;
    private String uniqueKey;
    private List<TableField> tableFields;

    public Table(String name, String uniqueKey, List<TableField> tableFields) {
        this.name = name;
        this.uniqueKey = uniqueKey;
        this.tableFields = tableFields;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUniqueKey() {
        return uniqueKey;
    }

    public void setUniqueKey(String uniqueKey) {
        this.uniqueKey = uniqueKey;
    }

    public List<TableField> getTableFields() {
        return tableFields;
    }

    public void setTableFields(List<TableField> tableFields) {
        this.tableFields = tableFields;
    }
}
